org.minidns.record

## Enum Record.TYPE

- java.lang.Object
- - java.lang.Enum<Record.TYPE>
  - - org.minidns.record.Record.TYPE

- All Implemented Interfaces:
    Serializable, Comparable<Record.TYPE>
  Enclosing class:
    Record<D extends Data>

      public static enum Record.TYPE
      extends Enum<Record.TYPE>

  The resource record type.
  See Also:
    IANA DNS Parameters - Resource Record (RR) TYPEs

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `A`
    `A6`
    `AAAA`
    `AFSDB`
    `ANY`
    `APL`
    `ATMA`
    `AXFR`
    `CAA`
    `CDNSKEY`
    `CDS`
    `CERT`
    `CNAME`
    `CSYNC`
    `DHCID`
    `DLV`
    `DNAME`
    `DNSKEY`
    `DS`
    `EID`
    `EUI48`
    `EUI64`
    `GID`
    `GPOS`
    `HINFO`
    `HIP`
    `IPSECKEY`
    `ISDN`
    `IXFR`
    `KEY`
    `KX`
    `L32`
    `L64`
    `LOC`
    `LP`
    `MAILA`
    `MAILB`
    `MB`
    `MD`
    `MF`
    `MG`
    `MINFO`
    `MR`
    `MX`
    `NAPTR`
    `NID`
    `NIMLOC`
    `NINFO`
    `NS`
    `NSAP`
    `NSAP_PTR`
    `NSEC`
    `NSEC3`
    `NSEC3PARAM`
    `NULL`
    `NXT`
    `OPENPGPKEY`
    `OPT`
    `PTR`
    `PX`
    `RKEY`
    `RP`
    `RRSIG`
    `RT`
    `SIG`
    `SINK`
    `SOA`
    `SPF`
    `SRV`
    `SSHFP`
    `TA`
    `TALINK`
    `TKEY`
    `TLSA`
    `TSIG`
    `TXT`
    `UID`
    `UINFO`
    `UNKNOWN`
    `UNSPEC`
    `URI`
    `WKS`
    `X25`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<D extends Data> Class<D>` | `getDataClass()` Get the `Data` class for this type.
    `static <D extends Data> Record.TYPE` | `getType(Class<D> dataClass)` Retrieve the type for a given `Data` class.
    `static Record.TYPE` | `getType(int value)` Retrieve the symbolic type of the binary value.
    `int` | `getValue()` Retrieve the binary value of this type.
    `static Record.TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Record.TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### A

          public static final Record.TYPE A

    - #### A6

          public static final Record.TYPE A6

    - #### AAAA

          public static final Record.TYPE AAAA

    - #### AFSDB

          public static final Record.TYPE AFSDB

    - #### ANY

          public static final Record.TYPE ANY

    - #### APL

          public static final Record.TYPE APL

    - #### ATMA

          public static final Record.TYPE ATMA

    - #### AXFR

          public static final Record.TYPE AXFR

    - #### CAA

          public static final Record.TYPE CAA

    - #### CDNSKEY

          public static final Record.TYPE CDNSKEY

    - #### CDS

          public static final Record.TYPE CDS

    - #### CERT

          public static final Record.TYPE CERT

    - #### CNAME

          public static final Record.TYPE CNAME

    - #### CSYNC

          public static final Record.TYPE CSYNC

    - #### DHCID

          public static final Record.TYPE DHCID

    - #### DLV

          public static final Record.TYPE DLV

    - #### DNAME

          public static final Record.TYPE DNAME

    - #### DNSKEY

          public static final Record.TYPE DNSKEY

    - #### DS

          public static final Record.TYPE DS

    - #### EID

          public static final Record.TYPE EID

    - #### EUI48

          public static final Record.TYPE EUI48

    - #### EUI64

          public static final Record.TYPE EUI64

    - #### GID

          public static final Record.TYPE GID

    - #### GPOS

          public static final Record.TYPE GPOS

    - #### HINFO

          public static final Record.TYPE HINFO

    - #### HIP

          public static final Record.TYPE HIP

    - #### IPSECKEY

          public static final Record.TYPE IPSECKEY

    - #### ISDN

          public static final Record.TYPE ISDN

    - #### IXFR

          public static final Record.TYPE IXFR

    - #### KEY

          public static final Record.TYPE KEY

    - #### KX

          public static final Record.TYPE KX

    - #### L32

          public static final Record.TYPE L32

    - #### L64

          public static final Record.TYPE L64

    - #### LOC

          public static final Record.TYPE LOC

    - #### LP

          public static final Record.TYPE LP

    - #### MAILA

          public static final Record.TYPE MAILA

    - #### MAILB

          public static final Record.TYPE MAILB

    - #### MB

          public static final Record.TYPE MB

    - #### MD

          public static final Record.TYPE MD

    - #### MF

          public static final Record.TYPE MF

    - #### MG

          public static final Record.TYPE MG

    - #### MINFO

          public static final Record.TYPE MINFO

    - #### MR

          public static final Record.TYPE MR

    - #### MX

          public static final Record.TYPE MX

    - #### NAPTR

          public static final Record.TYPE NAPTR

    - #### NID

          public static final Record.TYPE NID

    - #### NIMLOC

          public static final Record.TYPE NIMLOC

    - #### NINFO

          public static final Record.TYPE NINFO

    - #### NS

          public static final Record.TYPE NS

    - #### NSAP

          public static final Record.TYPE NSAP

    - #### NSAP_PTR

          public static final Record.TYPE NSAP_PTR

    - #### NSEC

          public static final Record.TYPE NSEC

    - #### NSEC3

          public static final Record.TYPE NSEC3

    - #### NSEC3PARAM

          public static final Record.TYPE NSEC3PARAM

    - #### NULL

          public static final Record.TYPE NULL

    - #### NXT

          public static final Record.TYPE NXT

    - #### OPENPGPKEY

          public static final Record.TYPE OPENPGPKEY

    - #### OPT

          public static final Record.TYPE OPT

    - #### PTR

          public static final Record.TYPE PTR

    - #### PX

          public static final Record.TYPE PX

    - #### RKEY

          public static final Record.TYPE RKEY

    - #### RP

          public static final Record.TYPE RP

    - #### RRSIG

          public static final Record.TYPE RRSIG

    - #### RT

          public static final Record.TYPE RT

    - #### SIG

          public static final Record.TYPE SIG

    - #### SINK

          public static final Record.TYPE SINK

    - #### SOA

          public static final Record.TYPE SOA

    - #### SPF

          public static final Record.TYPE SPF

    - #### SRV

          public static final Record.TYPE SRV

    - #### SSHFP

          public static final Record.TYPE SSHFP

    - #### TA

          public static final Record.TYPE TA

    - #### TALINK

          public static final Record.TYPE TALINK

    - #### TKEY

          public static final Record.TYPE TKEY

    - #### TLSA

          public static final Record.TYPE TLSA

    - #### TSIG

          public static final Record.TYPE TSIG

    - #### TXT

          public static final Record.TYPE TXT

    - #### UID

          public static final Record.TYPE UID

    - #### UINFO

          public static final Record.TYPE UINFO

    - #### UNKNOWN

          public static final Record.TYPE UNKNOWN

    - #### UNSPEC

          public static final Record.TYPE UNSPEC

    - #### URI

          public static final Record.TYPE URI

    - #### WKS

          public static final Record.TYPE WKS

    - #### X25

          public static final Record.TYPE X25

  - ### Method Detail

    - #### getDataClass

          public <D extends Data> Class<D> getDataClass()

      Get the `Data` class for this type.
      Type Parameters:
        `D` - The class for this type.
      Returns:
        the `Data` class for this type.

    - #### getType

          public static <D extends Data> Record.TYPE getType(Class<D> dataClass)

      Retrieve the type for a given `Data` class.
      Type Parameters:
        `D` - The class for this type.
      Parameters:
        `dataClass` - the class to lookup the type for.
      Returns:
        the type for the given data class.

    - #### getType

          public static Record.TYPE getType(int value)

      Retrieve the symbolic type of the binary value.
      Parameters:
        `value` - The binary type value.
      Returns:
        The symbolic tpye.

    - #### getValue

          public int getValue()

      Retrieve the binary value of this type.
      Returns:
        The binary value.

    - #### valueOf

          public static Record.TYPE valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static Record.TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Record.TYPE c : Record.TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared